import { ComponentType } from '../../types/componentType';
import locales from '/@/utils/locales';
/**
 * @description: 生成placeholder
 */
export function createPlaceholderMessage(component: ComponentType) {
  if (component.includes('Input') || component.includes('AutoComplete')) {
    return locales.common.inputText;
  }
  if (component.includes('Picker')) {
    return locales.common.chooseText;
  }

  if (
    component.includes('Select') ||
    component.includes('Checkbox') ||
    component.includes('Radio') ||
    component.includes('Switch') ||
    component.includes('DatePicker') ||
    component.includes('TimePicker')
  ) {
    return locales.common.chooseText;
  }
  return '';
}
